from unittest import TestCase, TestSuite, main, makeSuite
from CJKSplitter import CJKSplitter, isCJK, isletnum


splitter = CJKSplitter()

class TestSplitter(TestCase):
    def testSingleWord(self):
        words = splitter.process(u"abc8")
        self.assertEqual(words, [u"abc8"])

    def testPunctuation(self):
        words = splitter.process(u"abc.looking-good")
        self.assertEqual(words, [u"abc", u"looking", u"good"])

    def testNonUnicode(self):
        words = splitter.process("non-unicode text")
        self.assertEqual(words, [u"non", u"unicode", u"text"])

    def testMixedChinese(self):
        words = splitter.process(unicode("쳣abc def", "gb2312"))
        self.assertEqual(words, [unicode("쳣", "gb2312"),
                                 unicode("", "gb2312"),
                                 unicode("", "gb2312"),
                                 u"abc", u"def",
                                 unicode("", "gb2312")])


def test_suite():
    return makeSuite(TestSplitter)

if __name__=='__main__':
    main(defaultTest='test_suite')
